CC=gcc
CFLAGS= -Wall -W -Wmissing-declarations -Wmissing-prototypes -g -O0 \
        -Wredundant-decls -Wshadow -Wbad-function-cast -Wcast-qual
PROGS = list queue stack

all : $(PROGS)

list : list.c
	$(CC) $(CFLAGS) -o $@ $<

queue : queue.c
	$(CC) $(CFLAGS) -o $@ $<

stack : stack.c
	$(CC) $(CFLAGS) -o $@ $<

.PHONY : clean

clean :
	rm -f *~ *.o $(PROGS)
